#Kemoverse - a gacha-style bot for the Fediverse.
#Copyright © 2025 Waifu
#
#This program is free software: you can redistribute it and/or modify
#it under the terms of the GNU Affero General Public License as
#published by the Free Software Foundation, either version 3 of the
#License, or (at your option) any later version.
#
#This program is distributed in the hope that it will be useful,
#but WITHOUT ANY WARRANTY; without even the implied warranty of
#MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#GNU Affero General Public License for more details.
#
#You should have received a copy of the GNU Affero General Public License
#along with this program.  If not, see https://www.gnu.org/licenses/.

import time
import misskey as misskey
from client import client_connection
import db_utils as db

from config import NOTIFICATION_POLL_INTERVAL
from notification import process_notifications

if __name__ == '__main__':
    # Initialize the Misskey client
    client = client_connection()
    # Connect to DB
    db.connect()

    print('Listening for notifications...')
    while True:
        if not process_notifications(client):
            time.sleep(NOTIFICATION_POLL_INTERVAL)
